> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Funding Deposits

> Retrieve information about deposits. Results are sorted by recency; use the `cursor` parameter to iterate through the list of deposits (page size equal to the value of `limit`) from newest to oldest.

**API Key Permissions Required:** `Funds permissions - Query`



## OpenAPI

````yaml /openapi/funding-beta.yaml get /funding/v1/deposits
openapi: 3.0.0
info:
  title: Funding REST API (Beta)
  version: 1.0.0
  description: >-
    Beta Funding e-API endpoints for deposits, withdrawals, addresses, methods,
    limits, and fees.
servers:
  - url: https://api.kraken.com
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
    API-Nonce: []
  - API-Key: []
    API-Sign: []
    API-Nonce: []
    API-OTP: []
tags:
  - name: funding-beta
    x-group: Funding (Beta)
paths:
  /funding/v1/deposits:
    get:
      tags:
        - funding-beta
      summary: List Funding Deposits
      description: >-
        Retrieve information about deposits. Results are sorted by recency; use
        the `cursor` parameter to iterate through the list of deposits (page
        size equal to the value of `limit`) from newest to oldest.


        **API Key Permissions Required:** `Funds permissions - Query`
      operationId: listFundingDepositsV1
      parameters:
        - in: query
          name: asset
          schema:
            description: >-
              Optional filter by asset. When this parameter is provided, `class`
              is required; `name` is optional.
            type: object
            properties:
              class:
                description: Asset class to match. Required when `asset` is provided.
                type: string
                enum:
                  - currency
                  - tokenized_asset
              name:
                description: Asset name to match, if specified.
                type: string
                minLength: 1
                maxLength: 16
            required:
              - class
          style: deepObject
        - in: query
          name: scope
          schema:
            oneOf:
              - type: object
                properties:
                  method_id:
                    description: Funding method defining the scope.
                    type: string
                    pattern: ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                title: method_id
              - type: object
                properties:
                  network_id:
                    description: Network defining the scope.
                    type: string
                    pattern: ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                title: network_id
              - type: object
                properties:
                  network_group_id:
                    description: Network group defining the scope.
                    type: string
                    pattern: ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                title: network_group_id
          style: deepObject
        - in: query
          name: status
          schema:
            oneOf:
              - type: object
                properties:
                  list:
                    description: Match any of the specified statuses.
                    type: array
                    items:
                      type: string
                      enum:
                        - initial
                        - pending
                        - settled
                        - success
                        - failure
                title: list
              - type: object
                properties:
                  range:
                    description: Match statuses within an inclusive range.
                    type: object
                    properties:
                      start:
                        description: Inclusive lower bound. Omitted for no lower bound.
                        type: string
                        enum:
                          - initial
                          - pending
                          - settled
                          - success
                          - failure
                      end:
                        description: Inclusive upper bound. Omitted for no upper bound.
                        type: string
                        enum:
                          - initial
                          - pending
                          - settled
                          - success
                          - failure
                title: range
          style: form
        - in: query
          name: cursor
          schema:
            description: >-
              Cursor from a previous response used to retrieve the next page. Do
              not provide other request

              parameters with a cursor.
            type: string
            minLength: 1
          style: form
        - in: query
          name: limit
          schema:
            description: Maximum number of deposits to return.
            type: integer
            format: int32
            exclusiveMinimum: true
            minimum: 0
            maximum: 500
          style: form
          example: 20
        - in: query
          name: start_time
          schema:
            $ref: '#/components/schemas/google.protobuf.Timestamp'
          style: form
        - in: query
          name: end_time
          schema:
            $ref: '#/components/schemas/google.protobuf.Timestamp'
          style: form
        - in: query
          name: rebase_multiplier
          schema:
            description: >-
              For tokenized assets, controls whether amounts (eg fees, minimums,
              maximums) use rebased or

              base units.
            type: string
            enum:
              - rebased
              - base
          style: form
        - in: query
          name: account_id
          description: Account ID
          schema:
            type: string
          x-selected-account: true
          style: form
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                description: Response containing the list of funding deposits.
                type: object
                properties:
                  deposits:
                    description: Deposits.
                    type: array
                    items:
                      description: A deposit.
                      type: object
                      properties:
                        deposit_id:
                          description: Unique identifier of the deposit.
                          type: string
                          pattern: ^[Ff][Tt][a-zA-Z0-9]{5}-[a-zA-Z0-9]{22}$
                        method_id:
                          description: Funding method used for the deposit.
                          type: string
                          pattern: >-
                            ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                        network_id:
                          description: Network used for the deposit.
                          type: string
                          pattern: >-
                            ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                        status:
                          description: Settlement status.
                          type: string
                          enum:
                            - initial
                            - pending
                            - settled
                            - success
                            - failure
                        amount:
                          description: Deposit amount. Omitted while unknown.
                          type: object
                          properties:
                            asset:
                              description: Asset in which the amount is denominated.
                              type: object
                              properties:
                                class:
                                  description: Asset class.
                                  type: string
                                  enum:
                                    - currency
                                    - tokenized_asset
                                name:
                                  description: Asset name.
                                  type: string
                                  minLength: 1
                                  maxLength: 16
                              required:
                                - class
                                - name
                            amount:
                              description: Decimal amount.
                              type: string
                              pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                          required:
                            - asset
                            - amount
                        fee:
                          description: >-
                            Fee charged for the deposit. Omitted until the
                            deposit is complete.
                          type: object
                          properties:
                            asset:
                              description: Asset in which the amount is denominated.
                              type: object
                              properties:
                                class:
                                  description: Asset class.
                                  type: string
                                  enum:
                                    - currency
                                    - tokenized_asset
                                name:
                                  description: Asset name.
                                  type: string
                                  minLength: 1
                                  maxLength: 16
                              required:
                                - class
                                - name
                            amount:
                              description: Decimal amount.
                              type: string
                              pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                          required:
                            - asset
                            - amount
                        create_time:
                          $ref: '#/components/schemas/google.protobuf.Timestamp'
                  next_cursor:
                    description: >-
                      Cursor to use in the next request to retrieve the next
                      page. Omitted when there are no more

                      results.
                    type: string
                    minLength: 1
              example:
                deposits:
                  - deposit_id: FTcQ4qW-fWGQbQwUfqdnZo4dsMn1ao
                    method_id: 3e7f8072-cc6d-4394-982a-5f4ca6ab27dd
                    network_id: b336ce74-8d60-42b8-8714-b1095e06b711
                    status: success
                    amount:
                      asset:
                        class: currency
                        name: USDC
                      amount: '20.00000000'
                    fee:
                      asset:
                        class: currency
                        name: USDC
                      amount: '0.00000000'
                    create_time: '2026-07-01T08:31:33Z'
                  - deposit_id: FTAsxe1-PHt8Ni7NodvtOEw8FBvLAJ
                    method_id: a897bb0b-e7bc-4eff-969f-433bc811e4ad
                    network_id: d9d375da-44b7-4be1-8a00-8b281acfe366
                    status: success
                    amount:
                      asset:
                        class: currency
                        name: LINK
                      amount: '5555.0000000000'
                    fee:
                      asset:
                        class: currency
                        name: LINK
                      amount: '0.0000000000'
                    create_time: '2026-06-23T08:41:17Z'
                next_cursor: >-
                  gqNrZXm-RlREc1IxRC1oOTd3c1Y4RFJKUWpPQ0ZTTjVic0NxpnBhcmFtc4qudXNlcl9zZWxlY3Rpb27ArGFzc2V0X2ZpbHRlcsClc2NvcGXArXN0YXR1c19maWx0ZXLArGZsYWdzX2ZpbHRlcsCzZXF1aXZfYW1vdW50X2ZpbHRlcsCqc3RhcnRfdGltZcCoZW5kX3RpbWXAqG9yZGVyaW5nqmRlc2NlbmRpbmexcmViYXNlX211bHRpcGxpZXLA
      security:
        - API-Key: []
          API-Sign: []
          API-Nonce: []
        - API-Key: []
          API-Sign: []
          API-Nonce: []
          API-OTP: []
components:
  schemas:
    google.protobuf.Timestamp:
      description: Filter by creation time at or after the specified time.
      type: string
      format: date-time
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header
    API-Nonce:
      type: apiKey
      description: >-
        The "API-Nonce" header should contain an always-increasing 64-bit
        integer, most commonly a Unix timestamp in milliseconds. Each request
        must use a nonce greater than the nonce of the previous request signed
        with the same API key.
      name: API-Nonce
      in: header
    API-OTP:
      type: apiKey
      description: >-
        The "API-OTP" header should contain your two-factor authentication
        one-time password. Required only if 2FA is configured for the API key.
      name: API-OTP
      in: header

````